package whatsapp

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/whatsapp"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /whatsapp/createQrcode whatsapp CreateQrcode
//
// 创建二维码
//
// 创建二维码
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: createQrcodeReq
//
// Responses:
//  200: BaseMsgResp

func CreateQrcodeHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.CreateQrcodeReq
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := whatsapp.NewCreateQrcodeLogic(r.Context(), svcCtx)
		resp, err := l.CreateQrcode(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
